Skip to main content
POST
Add a note to a habit

Authorizations

X-API-Key
string
header
required

API key generated from our app (Settings > API). Only one key can be active at a time.

Path Parameters

habitId
string
required

The unique identifier of the habit

Body

application/json
content
string | null

Text content of the note

moodLevel
enum<string> | null

Mood level associated with the note

Available options:
veryLow,
low,
neutral,
high,
veryHigh
photos
string<uri>[] | null

List of photo URLs to attach to the note

Response

Note created successfully

A note attached to a habit, optionally including text content, a mood level, and photos.

id
string
required

Unique identifier of the note

createdAt
string<date-time>
required

Timestamp when the note was created

content
string | null

Text content of the note

moodLevel
enum<string> | null

Mood level associated with the note

Available options:
veryLow,
low,
neutral,
high,
veryHigh
photos
string<uri>[] | null

List of photo URLs attached to the note